package controlOperations;

import operations.Operation;

public class NTimesRepeatEndOperation extends Operation{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private NTimesRepeatOperation NTimesRepeatOperation;
	protected void initialize() throws ClassNotFoundException {
		super.initialize();
		parameterTypes = new Class[1];
		parameterTypes[0] = Class.forName("controlOperations.NTimesRepeatOperation");
		parameterNames = new String[1];
		parameterNames[0] = "NTimesRepeatOperation";
		resultTypes = new Class[0];
		resultNames = new String[0];
	}
	
	public void doIt() {
		if (!this.getNTimesRepeatOperation().getAtEnd().booleanValue()) {
			this.getApplication().backToOperationNumber(this.getApplication().getOperations().indexOf(getNTimesRepeatOperation())-1);
		} else {
			getNTimesRepeatOperation().setAtEnd(new Boolean(false));
		}
	}

	public NTimesRepeatOperation getNTimesRepeatOperation() {
		return NTimesRepeatOperation;
	}

	public void setNTimesRepeatOperation(NTimesRepeatOperation timesRepeatOperation) {
		NTimesRepeatOperation = timesRepeatOperation;
	}
	
	public boolean isLoopEnd() {
		return true;
	}
}
