package roiOperations;

import java.io.IOException;

import ij.io.RoiEncoder;
import fileOperations.SaveImageOperation;

public class SaveSelectionOperation extends SaveImageOperation {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public void doIt() {
		if (inputImage==null) return;
		inputImage = this.getInputImage();
		if (inputImage.getRoi()==null) return;
		path = this.getPath();
		this.addPathAdditions();
		String filePath = path.substring(0,path.lastIndexOf("."));
		path = filePath + ".roi";
		RoiEncoder encoder = new RoiEncoder(path);
		try {
			encoder.write(inputImage.getRoi());
		} catch (IOException e) {
			this.success = new Boolean(false);
			e.printStackTrace();
		}
	}
	
}
